Ipad mini 2 no longer supported with DJI GO?

Joined
Mar 10, 2016
Messages
262
Reaction score
61
Age
46
Hello.

I have DJI GO on an iPad mini 2.
Version 3.0.1.
When I try to upgrade to version 3.1.0 in AppStore I get the message: "DJI GO" is not compatible with iPad unit.

So 3.0.1 is the last version I can ever run on that iPad? Can someone confirm the same?


Sent from my iPhone using PhantomPilots
 
  • Like
Reactions: Neon Euc

msinger

Approved Vendor
Joined
Oct 30, 2014
Messages
31,278
Reaction score
10,435
Location
Harrisburg, PA (US)
Which version of iOS are you running?
 

GadgetGuy

Premium Pilot
Joined
Jun 18, 2015
Messages
6,834
Reaction score
2,171
Mini 2 is still on DJI's list of supported devices, even for the P4.
As Msinger alludes above, it's not supported by your older iOS version, rather than the Mini 2 hardware. You misinterpreted the message.
Upgrade your iOS version, and you should be able to install it.
IMG_5495.jpg
 
Last edited:

msinger

Approved Vendor
Joined
Oct 30, 2014
Messages
31,278
Reaction score
10,435
Location
Harrisburg, PA (US)
sawyer388, in addition to the devices listed above, you can find many other devices that are known to work well with DJI GO here.
 

AWD

Joined
Oct 2, 2016
Messages
388
Reaction score
171
Age
72
Location
Punta Gorda, Florida
iPad 4 is not on the "Recommended Devices" list above.
Yes, but the iPad4 has been working just fine right up until now.

It's still working quite nicely, it's just that evidently we can't update the DJI Go software anymore.

AD (iPad4 and a P4)
 

GadgetGuy

Premium Pilot
Joined
Jun 18, 2015
Messages
6,834
Reaction score
2,171
Yes, but the iPad4 has been working just fine right up until now.

It's still working quite nicely, it's just that evidently we can't update the DJI Go software anymore.

AD (iPad4 and a P4)
Lots of devices that are not recommended may work, but are not supported, and may stop working at any time. As the DJI Go app becomes more sophisticated, older devices can no longer keep up. The processors are just too slow for safe flight.
 
Joined
Mar 10, 2016
Messages
262
Reaction score
61
Age
46
Mini 2 is still on DJI's list of supported devices, even for the P4.
As Msinger alludes above, it's not supported by your older iOS version, rather than the Mini 2 hardware. You misinterpreted the message.
Upgrade your iOS version, and you should be able to install it.
View attachment 68966
I have the latest iOS that the iPad Mini 2 can have.
But it won't let me upgrade to the latest GO version. So I guess it's no longer supported
I'm stuck with v 3.0.1

Sent from my iPhone using PhantomPilots
 
Joined
May 5, 2016
Messages
62
Reaction score
34
Age
32
I am using ipad mini2 as well and it is working great so far. Running latest ios version, latest djigo app version, latest litchi app version and latest firmware update for p3s


Sent from my iPad using PhantomPilots
 
Joined
Mar 10, 2016
Messages
262
Reaction score
61
Age
46
I am using ipad mini2 as well and it is working great so far. Running latest ios version, latest djigo app version, latest litchi app version and latest firmware update for p3s


Sent from my iPad using PhantomPilots
Thanx for letting me know.
I'll try some more and see if I can find a solution.


Sent from my iPhone using PhantomPilots
 

GadgetGuy

Premium Pilot
Joined
Jun 18, 2015
Messages
6,834
Reaction score
2,171
Thanks for all confirmations, guys! :cool:
I'm going to use my currently unused Mini 2 as a test platform, from now on, for all new DJIGo Updates!
 
Joined
Jun 3, 2014
Messages
471
Reaction score
123
Unusual finding. I'm using the iPad mini 2 with wifi (no cellular) iOS ver 8.4.3 & updated to the GoApp ver. 3.1.0 with no issues.


Sent from my iPad using PhantomPilots
 
Joined
Jun 14, 2016
Messages
1,745
Reaction score
793
Age
61
I have the latest iOS that the iPad Mini 2 can have.
Unfortunately, that doesn't answer the question. SPECIFICALLY, which version of iOS is currently installed on your Ipad Mini 2? As you've seen from the answers, Go 3.1.0 works fine on the Mini 2, iOS 10 and even some earlier versions so it definitely IS supported. Please tell us your iOS version (go to "Settings", then click on "General", then "About" and scroll down to the version number). The fact that you said "I have the latest iOS that the iPad Mini 2 can have." makes me think that you don't know what version of iOS is on your Mini 2. Also make sure you don't have so many saved pics/videos that you're out of room.
 

New Threads

Forum statistics

Threads
139,558
Messages
1,439,731
Members
101,345
Latest member
Thanohano44